CSQRT(3)

NAME
csqrt, csqrtf, csqrtl - complex square root

SYNOPSIS
#include <complex.h>

double complex csqrt(double complex z);
float complex csqrtf(float complex z);
long double complex csqrtl(long double complex z);

Link with -lm.

DESCRIPTION
Calculate the square root of a given complex number, with non-negative real part, and with a branch cut along the negative real axis. (That means that csqrt(-1+eps*I) will be close to I while csqrt(-1-eps*I) will be close to -I, if eps is a small positive real number.)

CONFORMING TO
C99

SEE ALSO
cabs(3), cexp(3), complex(7)